# $Revision: 1.42 $, $Date: 2004/08/29 22:36:14 $
Summary:	Moon phases info for Window Maker/AfterStep
Summary(pl):	Informacja o fazach ksiyca dla WindowMakera/AfterStepa
Name:		wmMoonClock
Version:	1.27
Release:	4
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	http://nis-www.lanl.gov/~mgh/WindowMaker/%{name}-%{version}.tar.gz
# Source0-md5:	c85bc974e70c867d556805505d3be48c
Source1:	%{name}.desktop
Icon:		wmMoonClock.gif
URL:		http://nis-www.lanl.gov/~mgh/WindowMaker/DockApps.shtml
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
wmMoonClock displays the current phase of the moon. Window Maker and
AfterStep dockable but not necessary.

%description -l pl
wmMoonClock wywietla aktualn faz ksiyca. Dokowalny w
WindowMakerze i AfterStepie, lecz nie jest to koniecznie.

%prep
%setup -q

%build
%{__make} -C Src \
	CFLAGS="%{rpmcflags}" \
	LIBDIR="-L/usr/X11R6/%{_lib}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1} \
	$RPM_BUILD_ROOT%{_desktopdir}/docklets

install Src/%{name} $RPM_BUILD_ROOT%{_bindir}
install Src/%{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/docklets

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/*
%{_desktopdir}/docklets/wmMoonClock.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wmMoonClock.spec,v $
Revision 1.42  2004/08/29 22:36:14  havner
- rel 4 for fixed categories

Revision 1.41  2004/05/07 20:58:07  qboosh
- switched to vfolders, release 3

Revision 1.40  2004/05/06 21:40:21  qboosh
- fixed build on amd64

Revision 1.39  2003/09/16 08:34:50  adamg
- md5 sum added

Revision 1.38  2003/05/25 06:27:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.37  2003/02/28 10:08:59  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.36  2003/01/18 22:57:42  juandon
- removed two lines with define

Revision 1.35  2002/02/23 05:04:59  kloczek
- adapterized.

Revision 1.34  2002/02/22 23:29:59  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.33  2002/01/18 02:15:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.32  2001/11/24 01:03:03  kloczek
- commented install desktop file.

Revision 1.31  2001/11/23 23:04:40  blues
- release 2
- adapterized

Revision 1.30  2001/11/21 01:46:33  blues
- cosmetics

Revision 1.29  2001/05/03 01:14:05  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.28  2000/11/12 16:58:51  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.27  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.26  2000/04/01 11:15:57  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.25  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.24  1999/11/27 02:59:15  pius
- added using more rpm macros
- cosmetics

Revision 1.23  1999/09/04 09:44:02  pius
- cosmetics

Revision 1.22  1999/09/04 09:02:32  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.21  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.20  1999/07/12 23:06:21  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon May 24 1999 Piotr Czerwiski <pius@pld.org.pl>
  [1.26-1]
- updated to 1.26,
- removed wmMoonClock-man.patch,
- some cleanups.

* Mon May 17 1999 Piotr Czerwiski <pius@pld.org.pl>
  [1.1-4]
- package is FHS 2.0 compliant,
- based on spec file written by Yeechang Lee <ylee@columbia.edu>,
  rewritten for PLD use by me, Artur Frysiak <wiget@pld.org.pl>
  and Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>.
